package com.sundot.airport.exam.logic.manage.model.params;

import com.sundot.airport.exam.enums.QuesTypeEnum;

/**
 * <b>功能名：</b>QuesPageParam<br>
 * <b>说明：</b> 题目分页列表请求参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-21 liangxiao
 */
public class QuesPageParam extends BaseEasyPageParam {
    /**
     * 题目类型。
     * - SINGLE单选；MULTIPLE多选；JUDGMENT判断；FILL_BLANK填空；CONNECTION连线
     */
    private QuesTypeEnum quType;

    /**
     * 题干内容
     */
    private String quContent;

    /**
     * 题目分类表业务主键
     */
    private String qcId;

    @Override
    public String toString() {
        return super.toString() + "QuesPageParam{" +
                "quType=" + quType +
                ", quContent='" + quContent + '\'' +
                ", qcId='" + qcId + '\'' +
                '}';
    }

    public QuesTypeEnum getQuType() {
        return quType;
    }

    public void setQuType(QuesTypeEnum quType) {
        this.quType = quType;
    }

    public String getQuContent() {
        return quContent;
    }

    public void setQuContent(String quContent) {
        this.quContent = quContent;
    }

    public String getQcId() {
        return qcId;
    }

    public void setQcId(String qcId) {
        this.qcId = qcId;
    }
}
